#include <bits/stdc++.h>
using namespace std;
long a[1000];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	string s;
    cin >>s;
    long n;
    cin >>n;
    long r=0;
    for (int i=0;i<s.length();i++)
    {
        if (s[i]=='a' && s[i-1]=='b' || s[i]=='a' && s[i-1]=='c' || s[i]=='b' && s[i-1]=='c') {a[r]=i;r++;} 
    }
    for (int i=0;i<n;i++)
    {
        long q,l;
        cin >>q>>l;
        long t=0;
        for (int i=0;i<r;i++)
        {
            if (a[i]>q && a[i]<l) t++;
        }
        cout <<t+1<<endl;
    }

}
